Bug 1635091 (CVE-2018-17795) - CVE-2018-17795 libtiff: Heap-based buffer overflow in tiff2pdf.c:t2p_write_pdf()
Summary: CVE-2018-17795 libtiff: Heap-based buffer overflow in tiff2pdf.c:t2p_write_pdf()
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-17795
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1635092
TreeView+ depends on / blocked
 
Reported: 2018-10-02 05:10 UTC by Sam Fowler
Modified: 2019-09-29 14:59 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:38:59 UTC


Attachments (Terms of Use)

Description Sam Fowler 2018-10-02 05:10:53 UTC
The function t2p_write_pdf in tiff2pdf.c in LibTIFF 4.0.9 allows remote attackers to cause a denial of service (heap-based buffer overflow and application crash) or possibly have unspecified other impact via a crafted TIFF file, a similar issue to CVE-2017-9935.


Upstream Bug:

http://bugzilla.maptools.org/show_bug.cgi?id=2816

Comment 2 Sam Fowler 2018-10-02 05:13:15 UTC
Not reproducible on f28 with libtiff-tools-4.0.9-10.fc28.x86_64.

Comment 4 Scott Gayou 2018-10-18 17:41:55 UTC
Unable to reproduce on any RHEL* packages.


Note You need to log in before you can comment on or make changes to this bug.